## gcc-11 11.2.0

=== gcc/m2/examples/executive/Makefile ===
# Makefile build and run example program.

# Copyright (C) 2005-2020 Free Software Foundation, Inc.

#This file is part of GCC.

#GCC is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 3, or (at your option)
#any later version.

#GCC is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with GCC; see the file COPYING3.  If not see
#<http://www.gnu.org/licenses/>.

OPTIONS=-g
LIBS=m2cor,m2pim,m2iso

all: testexecutive testtime winexec

testexecutive: force
	gm2 $(OPTIONS) -flibs=$(LIBS) testexecutive.mod -o $@

testtime: force
	gm2 $(OPTIONS) -flibs=$(LIBS) testtime.mod -o $@

winexec: force
	gm2 -flibs=$(LIBS) -c $(OPTIONS) -I../ncurses ../ncurses/WindowDevice.mod
	gm2 -flibs=$(LIBS) -c $(OPTIONS) -I../ncurses ../ncurses/ColorText.mod
	gm2 -I.:../ncurses $(OPTIONS) -flibs=$(LIBS) winexec.mod -lncurses -o $@

clean: force
	$(RM) *.o a.out testtime testexecutive winexec *_m2.cpp

force:

=== gcc/m2/examples/iso/files/Makefile ===


all: force
	gm2 -g -c -fiso rot13.mod
	gm2 -g -fiso rot13.mod

clean: force
	$(RM) a.out rot13.o *~

force:

=== gcc/m2/examples/swig/strlen/Makefile ===
PYTHON_VERSION=3

all: force
	swig -python MyStrLib.i
	gcc -c -fPIC MyStrLib_wrap.c -I/usr/include/python$(PYTHON_VERSION)
	gm2 -fshared -c -fPIC -g MyStrLib.mod
	gm2 -fmakeall -I. -fPIC -g -shared -fshared MyStrLib.mod MyStrLib_wrap.o -o _MyStrLib.so
	python$(PYTHON_VERSION) testlen.py

clean: force
	$(RM) -f *.o *.so a.out *.pyc *~ *_wrap* MyStrLib.py *.lst *_m2.cpp

force:

## gcc-11 11-20210417

=== debian/changelog ===
gcc-11 (11-20210417-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Apr 2021 11:31:19 +0200

gcc-11 (11-20210417-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210417)
  * Use explicit autoconf version for bullseye.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Apr 2021 11:29:15 +0200

gcc-11 (11-20210412-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Apr 2021 13:53:05 +0200

gcc-11 (11-20210412-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210412)
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.or>  Sun, 11 Apr 2021 13:46:08 +0200

gcc-11 (11-20210404-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Apr 2021 13:47:58 +0200

gcc-11 (11-20210404-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210404)
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2021 13:42:51 +0200

gcc-11 (11-20210327-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Mar 2021 13:25:28 +0100

gcc-11 (11-20210327-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210327)
    - Fix bootstrap on s390x.
    - Fix PR target/99422. Closes: #984870.
    - Fix PR sanitizer/98920. Closes: #949192.
  * Fix packaging of snapshot builds, really include the jit build in
    the snapshot build.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Mar 2021 13:19:03 +0100

gcc-11 (11-20210322-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210322)
    - Fix PR target/99663, bootstrap on s390x.
  * Configure with --enable-checking=release.
  * Turn off the test suite again, stuck on some buildds.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 18:55:27 +0100

gcc-11 (11-20210319-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 10:03:38 +0100

gcc-11 (11-20210319-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210319)
  * Fix --as-needed specs for -fsanitize=* options for backports.
  * Export DEB_CHECK_ALI_UPDATE=1 (currently commented out). This should be
    checked after the gnat transition has been prepared in experimental, and
    just before doing the gnat's defaults change in unstable.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Disable building gnat on alpha, see PR ada/98724.
  * Also build unstripped frontends on mipsel/mips64el.
  * Update libgphobos symbols file.
  * Don't remove files in debian/tmp-{nvptx,gcn} when building the binary
    targets. The installed offload compilers are needed to run the tests.
  * Allow to save some disk space for the build, by
    - saving the files needed for the hppa64 and jit builds, and removing
      the build directories.
    - saving the results from the check runs, and removing files created
      during the check runs.
  * Fix installation of the jit header files.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Mar 2021 09:57:02 +0100

gcc-11 (11-20210313-0ubuntu1) hirsute; urgency=medium

  * GCC snapshot, taken from the trunk (20210313)
  * Run the testsuite during the build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Mar 2021 12:21:04 +0100

gcc-11 (11-20210310-2) UNRELEASED; urgency=medium

  * Fix --as-needed specs for -fsanitize=* options for backports.
  * Export DEB_CHECK_ALI_UPDATE=1 (currently commented out). This should be
    checked after the gnat transition has been prepared in experimental, and
    just before doing the gnat's defaults change in unstable.
  * debian/ada/check_ali_update.sh: Fix syntax errors.
    Always run the script.
  * Disable building gnat on alpha, see PR ada/98724.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Mar 2021 14:31:38 +0100

gcc-11 (11-20210310-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 12:06:48 +0100

gcc-11 (11-20210310-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210310)
  * Work around dwz issue on mips64el stripping go1.
  * Replace @tie{} string with a space in the man pages. LP: #1405685.
  * Don't run the memory usage stats on m68k.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Mar 2021 11:46:55 +0100

gcc-11 (11-20210306-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Build with --disable-libsanitizer for now, sanitizer sonames might
      still change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Mar 2021 12:03:03 +0100

gcc-11 (11-20210306-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210306)
  * Update libgphobos symbols file.
  * Fix unstripped gcc-snapshot builds.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Mar 2021 11:55:56 +0100

gcc-11 (11-20210227-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210227)
  * Build gnat/alpha again in snapshot and cross builds.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Feb 2021 09:46:52 +0100

gcc-11 (11-20210220-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.


=== debian/control ===
Source: gcc-11
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!i386], python3-matplotlib [!i386], 
  binutils:native (>= 2.35.2), binutils-hppa64-linux-gnu:native (>= 2.35.2) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, python3:any, 
  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-11-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1
X-DH-Build-For-Type: target
Architecture: any
Section: libs

## gcc-11 11.1.0

=== debian/changelog ===
gcc-11 (11.1.0-1ubuntu1~21.04) hirsute-proposed; urgency=medium

  * SRU: LP: #1926291. Backport the final GCC 11.1.0 release.
  * Strip executables for the final release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Apr 2021 13:58:31 +0200

gcc-11 (11.1.0-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Apr 2021 13:54:40 +0200

gcc-11 (11.1.0-1) experimental; urgency=medium

  * GCC 11.1.0 release.
  * Refresh patches.
  * Update gm2 from the gm2 trunk.
  * gm2: Ignore gm2version.o stage diff, needed at least on some
    archtectures (m68k, riscv64)
  * Only apply the gm2-texinfo patch for dfsg builds.
  * Configure with --enable-checking=release.
  * Disable usage stats for release builds.
  * Update and re-apply the gcc-foffload-default patch.
  * Update NEWS.html and gcc.css, remove fav.ico, and use the local gcc.css.
  * html2text -ascii -style pretty debian/NEWS.html > debian/NEWS.gcc.
  * Enable the address sanitizer for riscv64.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Apr 2021 13:50:54 +0200

gcc-11 (11-20210424-1ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Apr 2021 08:29:45 +0200

gcc-11 (11-20210424-1) experimental; urgency=medium

  * GCC 11 release candidate 2, taken from the gcc-11 branch (20210424)

 -- Matthias Klose <doko@debian.org>  Sat, 24 Apr 2021 08:00:02 +0200

gcc-11 (11-20210420-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Configure with --enable-checking=release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Apr 2021 15:46:17 +0200

gcc-11 (11-20210420-1) experimental; urgency=medium

  * GCC 11 release candidate 1, taken from the gcc-11 branch (20210420)
  * Update gm2 from the gm2 trunk.
  * Revert the fix for PR target/100067, breaking the ARM multilib build.
  * Update watch file.
  * Stop building sf/hf multilibs on upcoming Ubuntu releases.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Apr 2021 15:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
   m4, libtool, autoconf2.69, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
-  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!i386], python3-matplotlib [!i386], 
+  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
   binutils:native (>= 2.35.2), binutils-hppa64-linux-gnu:native (>= 2.35.2) [hppa amd64 i386 x32], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
   procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, python3:any, 
-  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
+  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
   pkg-config, libgc-dev, 
    g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
@@ -43,3 +43,4 @@
 X-DH-Build-For-Type: target
 Architecture: any
 Section: libs
+Priority: optional

## gcc-11 11.2.0

=== debian/changelog ===
gcc-11 (11.2.0-7ubuntu2) impish; urgency=medium

  * Update to git 20210923 from the gcc-11 branch.
    - Fix PR target/102107 (PPC), PR target/102107 (PPC), PR fortran/102366,
      PR fortran/102287, PR fortran/102311, PR target/102222 (S390).
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Sep 2021 08:42:18 +0200

gcc-11 (11.2.0-7ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 10:28:12 +0200

gcc-11 (11.2.0-7) unstable; urgency=medium

  * Update to git 20210918 from the gcc-11 branch.
    - Fix PR rtl-optimization/102306, PR target/101934 (AArch64), PR c++/88578,
      PR c++/102295, PR target/97142 (PPC), PR ada/101970, PR c++/102305,
      PR d/102185, PR fortran/85130, PR fortran/82314, PR fortran/98490,
      PR fortran/101327.
  * Fix libgcc-s1 symbols file for alpha.
  * Don't build libjit on kfreebsd. See #994035.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:08:56 +0200

gcc-11 (11.2.0-5ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Sep 2021 17:38:45 +0200

gcc-11 (11.2.0-5) unstable; urgency=medium

  * Update to git 20210909 from the gcc-11 branch.
    - Fix PR c++/60318, PR target/102224 (x86), PR target/102115 (xtensa),
      PR tree-optimization/102046, PR tree-optimization/101925,
      PR middle-end/101824, PR target/102166 (x86), PR target/101849 (PPC),
      PR c++/100495, PR fortran/100950, PR fortran/100950, PR fortran/102113.
  * Configure again with --enable-cet, amd64 and x32 only. Closes: #993626.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 13:48:13 +0200

gcc-11 (11.2.0-4) unstable; urgency=medium

  * Update to git 20210902 from the gcc-11 branch.
    - Fix PR target/101472 (x86), PR target/99744 (x86), PR target/101492 (x86),
      PR target/101549 (x86), PR target/101471 (x86), PR target/102035 (ARM),
      PR target/102035 (ARM), PR middle-end/101949, PR ipa/97565,
      PR debug/101905, PR gcov-profile/89961, PR fortran/87737,
      PR fortran/46691, PR fortran/99819, PR fortran/98411, PR libstdc++/101965,
      PR libstdc++/100682, PR libstdc++/100285, PR libstdc++/100180,
      PR libstdc++/100286, PR libstdc++/100351, PR libstdc++/100286,
      PR libstdc++/100285, PR libstdc++/100180, PR c++/101592,
      PR tree-optimization/102124, PR target/101472 (x86),
      PR target/99744 (x86), PR target/101492 (x86), PR target/101549 (x86),
      PR target/101471 (x86), PR target/102035 (ARM), PR target/102035 (ARM),
      PR middle-end/101949, PR ipa/97565, PR debug/101905,
      PR gcov-profile/89961, PR fortran/87737, PR fortran/46691,
      PR fortran/99819, PR fortran/98411, PR libstdc++/101965,
      PR libstdc++/100682, PR libstdc++/100285, PR libstdc++/100180,
      PR libstdc++/100286, PR libstdc++/100351, PR libstdc++/100286,
      PR libstdc++/100285, PR libstdc++/100180.
  * Again, for armhf configure --with-arch=<arch>+fp, dropping the --with-fpu=
    option; keep the old configure options for backports.
  * Update libgcc-s1 symbols file for sh4.
  * Remove trailing spaces in symbols files.
  * Don't configure with --enable-cet on x86 for Debian (old hardware is more
    valued than recent security features).  Closes: #993162, #993172.
  * Don't run the tests with the installed libstdc++ on slow buildds.
  * Build again for mipsel and mips64el, too much hassle with separate sources.
  * Disable the lto build on sparc64, memory issues on the buildd.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 12:23:43 +0200

gcc-11 (11.2.0-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Aug 2021 12:40:34 +0200

gcc-11 (11.2.0-3) unstable; urgency=high

  * Update to git 20210823 from the gcc-11 branch.
    - Fix PR target/101723 (ARM), PR tree-optimization/101373,
      PR tree-optimization/101868, PR ipa/100600, PR ipa/101261,
      PR ipa/101726, PR c/100150, PR fortran/99351, PR libstdc++/100139.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Aug 2021 12:15:54 +0200

gcc-11 (11.2.0-2) unstable; urgency=medium

  * Update to git 20210815 from the gcc-11 branch.
    - Fix PR middle-end/101586, PR rtl-optimization/101562, PR d/101640,
      PR d/101490, PR d/101441, PR d/101127, PR d/101619, PR d/96435,
      PR d/101664, PR target/101531 (PPC), PR fortran/101536,
      PR fortran/101514, PR fortran/101084, PR tree-optimization/101505,
      PR target/100952 (PPC), PR target/94780 (MIPS), PR target/101132 (MIPS),
      PR c/101512, PR sanitizer/101749, PR c++/101725, PR c++/100828,
      PR fortran/101564, PR libstdc++/101866, PR libstdc++/101510,
      PR libstdc++/101510, PR libstdc++/101056, PR libstdc++/101258,
      PR gcov-profile/100788, PR middle-end/101624, PR c++/101759,
      PR c++/101663, PR preprocessor/101638.
  * Again, configure explicitly --with-fpu=vfpv3-d16 on armhf.
  * Stop building the native compilers for mipsen targets from this source
    package. See https://lists.debian.org/debian-gcc/2021/05/msg00011.html.
  * Update binutils version requirements.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2021 23:09:35 +0200

gcc-11 (11.2.0-1ubuntu3) impish; urgency=medium

  * Update to git 20210812 from the gcc-11 branch.
    - Fix PR middle-end/101586, PR rtl-optimization/101562, PR d/101640,
      PR d/101490, PR d/101441, PR d/101127, PR d/101619, PR d/96435,
      PR d/101664, PR target/101531 (PPC), PR fortran/101536,
      PR fortran/101514, PR fortran/101084, PR tree-optimization/101505,
      PR target/100952 (PPC), PR target/94780 (MIPS), PR target/101132 (MIPS),
      PR c/101512, PR sanitizer/101749, PR c++/101725, PR c++/100828,


=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
-  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
+Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
+  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
   m4, libtool, autoconf2.69, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
-  binutils:native (>= 2.35.2), binutils-hppa64-linux-gnu:native (>= 2.35.2) [hppa amd64 i386 x32], 
+  binutils:native (>= 2.37), binutils-hppa64-linux-gnu:native (>= 2.37) [hppa amd64 i386 x32], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
-  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
+  gdb:native [!riscv64 !mipsel !mips64el], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
   procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k !alpha !hurd-alpha], g++-10:native, netbase, python3:any, 
   libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
@@ -44,3 +44,5 @@
 Architecture: any
 Section: libs
 Priority: optional
+Depends: gcc-11-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libgcc1 (= ${gcc:EpochVersion}), libgcc-s1-armel [armel], libgcc-s1-armhf [armhf]
